For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

List simulations

||View as Markdown|
GET
/simulations
GET
/v2/simulations
$curl https://api.synthflow.ai/v2/simulations \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "pagination": {
5 "total_records": 1,
6 "limit": 1,
7 "offset": 0
8 },
9 "items": [
10 {
11 "simulation_id": "string",
12 "simulation_session_id": "string",
13 "simulation_case_id": "string",
14 "simulation_case_name": "string",
15 "simulation_case_prompt": "string",
16 "success_criteria": [
17 "string"
18 ],
19 "call_success_type": "all",
20 "persona_agent_id": "string",
21 "persona_phone_number": "string",
22 "target_agent_id": "string",
23 "agent_name": "string",
24 "agent_avatar_url": "string",
25 "target_phone_number": "string",
26 "target_call_id": "string",
27 "custom_variables": {},
28 "status": "in-progress",
29 "workspace_id": "string",
30 "created_at": "2024-01-15T09:30:00Z",
31 "updated_at": "2024-01-15T09:30:00Z",
32 "error_info": {
33 "message": "string",
34 "code": 1,
35 "type": "string"
36 },
37 "recording_url": "string",
38 "timeline": [
39 {
40 "sender_type": "string",
41 "value": "string",
42 "type": "string",
43 "timestamp_datetime": "2024-01-15T09:30:00Z",
44 "timestamp": 1.1
45 }
46 ],
47 "success_criteria_analysis": {
48 "success": true,
49 "evaluations": [
50 {
51 "success": true,
52 "reasoning": "string"
53 }
54 ]
55 }
56 }
57 ]
58 }
59}
List simulations with pagination and optional filters.
Was this page helpful?
Previous

Get a simulation

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

page_numberintegerOptional>=1Defaults to 1
Page number.
page_sizeintegerOptional1-100Defaults to 10
Number of items per page.
simulation_session_idstringOptionalformat: "uuid"
Filter by simulation session ID.
statusenumOptional
Filter by simulation status.
Allowed values:
start_datedatetimeOptional

Filter by simulation created_at >= start_date (ISO 8601).

end_datedatetimeOptional

Filter by simulation created_at <= end_date (ISO 8601).

target_agent_idstringOptional
Filter by target agent ID.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

422
Unprocessable Entity Error